#ifndef V_CONST_H
#define V_CONST_H

typedef struct Vertex {
  float pos[3];
} Vertex;

#define CHUNK_LENGTH 64 //32
#define CHUNK_RADIUS_H 8
#define CHUNK_RADIUS_V 4

#define CTRI_ALL BLOCK_ALL * 18 * sizeof(Vertex)
#define TEXT_GAP_H 1 / 3.0
#define TEXT_GAP_V 1 / 1.0

#define CHUNK_DIAMETER_H (CHUNK_RADIUS_H * 2 + 1)
#define CHUNK_DIAMETER_V (CHUNK_RADIUS_V * 2 + 1)
#define CHUNK_ALL CHUNK_DIAMETER_H *CHUNK_DIAMETER_H *CHUNK_DIAMETER_V
#define BLOCK_ALL CHUNK_LENGTH *CHUNK_LENGTH *CHUNK_LENGTH
#define CBLOCK_ALL BLOCK_ALL *CHUNK_ALL

#endif